Create user group.
curl --request POST \
--url https://{tenant}/api/usergroups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"description": "Devops logs and analytics access",
"name": "Devops",
"org_id": "5e9d9544a1dcd60001d0ed20",
"user_permissions": {
"analytics": "read",
"log": "read"
}
}
'import requests
url = "https://{tenant}/api/usergroups"
payload = {
"active": True,
"description": "Devops logs and analytics access",
"name": "Devops",
"org_id": "5e9d9544a1dcd60001d0ed20",
"user_permissions": {
"analytics": "read",
"log": "read"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
description: 'Devops logs and analytics access',
name: 'Devops',
org_id: '5e9d9544a1dcd60001d0ed20',
user_permissions: {analytics: 'read', log: 'read'}
})
};
fetch('https://{tenant}/api/usergroups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Message": "User group created",
"Meta": "6649fb3e5715ec4c96cbef36",
"Status": "OK"
}{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "Request body malformed.",
"Meta": null,
"Status": "Error"
}{
"Message": "Failed to read response body, body empty.",
"Meta": null,
"Status": "Error"
}UserGroup
Create user group.
Instead of assigning permission to each individual users, per user, you can create a user group and configure the permissions for all users in the group. This endpoint allow you to create a user group and set permission for the user group.
POST
/
api
/
usergroups
Create user group.
Authorizations
The Tyk Dashboard API Access Credentials
Body
application/json
Was this page helpful?
⌘I